Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getAppliancePerformance({
serial: "string",
});
export const merakiDevicesAppliancePerformanceExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_appliance_performance(serial="string")
pulumi.export("merakiDevicesAppliancePerformanceExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.GetAppliancePerformance(ctx, &devices.GetAppliancePerformanceArgs{
Serial: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesAppliancePerformanceExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetAppliancePerformance.Invoke(new()
{
Serial = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesAppliancePerformanceExample"] = example.Apply(getAppliancePerformanceResult => getAppliancePerformanceResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetAppliancePerformanceArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getAppliancePerformance(GetAppliancePerformanceArgs.builder()
.serial("string")
.build());
ctx.export("merakiDevicesAppliancePerformanceExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getAppliancePerformance
arguments:
serial: string
outputs:
merakiDevicesAppliancePerformanceExample: ${example.item}
Using getAppliancePerformance
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getAppliancePerformance(args: GetAppliancePerformanceArgs, opts?: InvokeOptions): Promise<GetAppliancePerformanceResult>
function getAppliancePerformanceOutput(args: GetAppliancePerformanceOutputArgs, opts?: InvokeOptions): Output<GetAppliancePerformanceResult>def get_appliance_performance(serial: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetAppliancePerformanceResult
def get_appliance_performance_output(serial: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetAppliancePerformanceResult]func GetAppliancePerformance(ctx *Context, args *GetAppliancePerformanceArgs, opts ...InvokeOption) (*GetAppliancePerformanceResult, error)
func GetAppliancePerformanceOutput(ctx *Context, args *GetAppliancePerformanceOutputArgs, opts ...InvokeOption) GetAppliancePerformanceResultOutput> Note: This function is named GetAppliancePerformance in the Go SDK.
public static class GetAppliancePerformance
{
public static Task<GetAppliancePerformanceResult> InvokeAsync(GetAppliancePerformanceArgs args, InvokeOptions? opts = null)
public static Output<GetAppliancePerformanceResult> Invoke(GetAppliancePerformanceInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetAppliancePerformanceResult> getAppliancePerformance(GetAppliancePerformanceArgs args, InvokeOptions options)
public static Output<GetAppliancePerformanceResult> getAppliancePerformance(GetAppliancePerformanceArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getAppliancePerformance:getAppliancePerformance
arguments:
# arguments dictionaryThe following arguments are supported:
- Serial string
- serial path parameter.
- Serial string
- serial path parameter.
- serial String
- serial path parameter.
- serial string
- serial path parameter.
- serial str
- serial path parameter.
- serial String
- serial path parameter.
getAppliancePerformance Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Performance Item - Serial string
- serial path parameter.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Appliance Performance Item - Serial string
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Performance Item - serial String
- serial path parameter.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Performance Item - serial string
- serial path parameter.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Appliance Performance Item - serial str
- serial path parameter.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- serial String
- serial path parameter.
Supporting Types
GetAppliancePerformanceItem
- Perf
Score int
- Perf
Score int
- perf
Score Integer
- perf
Score number
- perf_
score int
- perf
Score Number
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
